import { useEffect, useState } from "react";
import useSDK from "../common/useSDKFactory";
import { PassListenable } from "@inkerlabs/sdk";
export default function useAssetUris() {
    var sdk = useSDK()();
    var _a = useState(undefined), assetUris = _a[0], setAssetUris = _a[1];
    var _b = useState(undefined), error = _b[0], setError = _b[1];
    var getAssetsMetadata = function (assetUris) {
        return sdk.getAssetsMetadata(assetUris);
    };
    var id;
    useEffect(function () {
        if (id) {
            sdk.unlisten(id, PassListenable.ASSETS);
        }
        id = sdk.listen(PassListenable.ASSETS, function (err, assetUris) {
            setError(err);
            setAssetUris(assetUris);
        });
    }, []);
    // Emulate componentWillUnmount
    useEffect(function () {
        return function () {
            if (id) {
                sdk.unlisten(id, PassListenable.ASSETS);
            }
        };
    }, []);
    return { assetUris: assetUris, getAssetsMetadata: getAssetsMetadata, error: error };
}
